#ifndef SYSCALL_PROC_H_
#define SYSCALL_PROC_H_

#include <stdint.h>
#include <stddef.h>
#include "syscall.h"

int32_t SYSCALL1(sys_proc_kill, pid1);
int32_t SYSCALL3(sys_proc_spawn, opath1, args1, argslen1);
int32_t SYSCALL1(sys_proc_pollstate, pid1);
int32_t SYSCALL0(sys_proc_getpid);
int32_t SYSCALL1(sys_proc_run, pid1);
int32_t SYSCALL1(sys_proc_arglen, pid1);
int32_t SYSCALL4(sys_proc_argv, pid1, argslen1, argbuf1, maxargs1);
int32_t SYSCALL0(sys_proc_listsize);
int32_t SYSCALL2(sys_proc_stat, pidx, pstat1);

#endif // SYSCALL_PROC_H_
